Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9584

Department: EF Affected Products: ADTF 3.3.1

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Control

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Ich habe unter Windows gerade im adtf_control mit den Kommandos gespielt.

Wie bekomme ich unter Windows die Prozess-ID angezeigt?

Hier ein Auszug meiner Konsole:

adtf> rl 4

adtf> rl

4 - filtergraph

adtf> rpcobjects

clock (clock.ant.remote.adtf)

filesystem (filesystem.devil.remote.adtf)

logging (logging.ant.remote.adtf)

session (session.ant.remote.adtf,session.catwo.remote.adtf)

system (system.ant.remote.adtf,system.bat.remote.adtf,system.catwo.remote.adtf,system.devil.remote

.adtf)

adtf> rpcmethods system

GetObjects

GetRPCIIDForObject

GetRunlevel

SetRunlevel

GetLastErrorString

Shutdown

GetProcessID

GetRPCIIDsForObject

CreateEventBuffer

ReleaseEventBuffer

ReleaseAllEventBuffers

RetrieveEvents

GetInterfaceDefinition

GetSystemStatus

adtf> rpc system GetProcessID

adtf> rpcmethodparams system GetProcessID

adtf>

 Lösung

Die Rückgabewerte der RPC Calls werden wieder von adtf> überschrieben.

Ich habe dazu ein Ticket angelegt -> ACORE-9584

Von "außen" mit -e kommen die Rückgabewerte an.

History

#2 - 2018-06-13 13:08 - hidden

2024-05-04 1/3



- Status changed from New to Customer Feedback Required

- Topic set to ADTF::Control

Hi Jens,

Du kannst Dir die Prozess-ID mit dem Kommando "processid" anzeigen lassen.

Gruß

Frank

#4 - 2018-06-13 13:16 - hidden

- Customer set to AUDI

- Department set to EF

#5 - 2018-06-18 09:00 - hidden

Hallo Jens,

auf welche Version und Plattform bezieht sich das Ticket genau?

Wäre das Ticket damit abgeschlossen?

Bitte gib uns Feedback bis 20.06.2018

Gruß,

Michael

#6 - 2018-06-18 09:28 - hidden

Es handelt sich um ADTF 3.3.1 auf Win7 x64.

Ich habe eine Alternative zu einem Befehl. Die Frage die offen bleibt: Sollte rpc system GetProcessID im adtf_control funktionieren? Wenn ja, wie?

Eine ähnliche Frage könnte ich stellen für

rpc system GetObjects

rpc system GetRunlevel

Ist es normal, dass diese Befehle keine Ausgaben liefern?

#7 - 2018-06-18 15:28 - hidden

- Description updated

- Status changed from Customer Feedback Required to In Progress

- Affected Products ADTF 3.3.1 added

- Platform Windows 7 64bit added

#9 - 2018-07-13 15:02 - hidden

- Support Level changed from 2nd Level to 3rd Level

#10 - 2018-07-13 15:09 - hidden

- Subject changed from adtf_control: rpc system GetProcessID liefert keine Ausgabe to rpc system GetProcessID return value is not printed in ADTF

Control

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9584

Die Rückgabewerte der RPC Calls werden wieder von adtf> überschrieben.

Ich habe dazu ein Ticket angelegt -> ACORE-9584

Von "außen" mit -e kommen die Rückgabewerte an.

#11 - 2018-07-13 15:10 - hidden
- Description updated

#12 - 2018-07-19 10:48 - hidden

- Status changed from To Be Closed to Closed
